﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Core.Views;
using HeuristicLab.MainForm;
using HeuristicLab.Core;
using HeuristicLab.DataPreprocessing.Filter;

namespace HeuristicLab.DataPreprocessing.Views
{
  [View("CheckedFilterCollection View")]
  [Content(typeof(FilterContent), false)]
  public partial class FilterView : ItemView
  {
    private CheckedItemCollectionView<IFilter> filterView;

    public FilterView()
    {
      InitializeComponent();
      filterView = new CheckedItemCollectionView<IFilter>();
      filterView.Dock = DockStyle.Fill;
      groupBoxFilter.Controls.Add(filterView);
      filterView.Content = new CheckedItemCollection<IFilter>();
      filterView.Content.CheckedItemsChanged += Content_CheckedItemsChanged;
    }

    public new FilterContent Content
    {
      get { return (FilterContent)base.Content; }
      set { base.Content = value; }
    }

    private void Content_CheckedItemsChanged(object sender, Collections.CollectionItemsChangedEventArgs<IFilter> e)
    {
      //todo: inform Logic for new filter
    }

    private void applyFilterButton_Click(object sender, EventArgs e)
    {
      //todo: inform Logic for apply Filter
    }

  }
}
